Description

I've come upon a GUI oddity that, frankly, was confusing the hell out of me.

I've got a space station with a lab on board and several other crew modules that currantly contain science data that | intend to
research.

The first time | browse through the (scientific) contents of these modules, | can see the "Process In The Lab" button lit up for every
item | haven't already researched, including a display of what the ultimate science payoff will be and (if | roll over the button), how
much space it will take up in the lab's research que, and how long it will take to research.

But if | browse through the module's scientific contents a second time, the "Process In The Lab" button is greyed out for most of
them, and there is no info available about the stats for researching those items.

Thankfully, if | exit the craft (e.g. to the tracking station) and then return, everything resets back to normal.

It took me a while, but | think | finally figured out what's going on. The system seems to be greying out the items that take up more
research points then | have available in my lab. (My lab is currantly using 722 of it's 750 available research points).

It's a great idea, except for two things:

1. Why the inconsistancy? Why is sending the items off to the lab an option on the first browse-through and not any subsequent
ones? Either grey out the items that are too much for the lab on every browse-through, or leave the option to research them
permanently open (which, I'm guessing means the player would essentially be throwing away the extra science points). When an
option is available at first and then inexplicably disappears, it's really confusing!

2. It would be helpful to be told why the option to research the item is greyed-out. A simple rollover dialogue (e.g. "Your lab already
has too much research to do!") would make things so much clearer.

History

#1 - 09/22/2017 09:48 AM - Squelch

- Status changed from New to Need More Info

Hi Colonel_Camel, could you please attach your savegame so we can investigate?

#2 - 09/22/2017 02:44 PM - Colonel_Camel

- File KSP Prerelease Research GUI Issue Save.rar added

Here you go. :)

| noticed the issue while working on "Minmus Station 01", in orbit of Minmus.
#3 - 10/05/2017 02:33 PM - Squelch

- Project changed from KSP Pre-Release to Kerbal Space Program

- Category changed from Science to 92

- Status changed from Need More Info to Investigating

04/18/2024 1/2




- % Done changed from 0 to 20
- Version changed from Build 01863 to 1.3.0

This is being investigated. However, it is not peculiar to 1.3.1 Pre-release, so this report has been moved to the main tracker.

Files

KSP Prerelease Research GUI Issue Save.rar 692 KB 09/22/2017 Colonel_Camel
